SSL_CTX_free(3) | OpenSSL | SSL_CTX_free(3)

# NAME

SSL_CTX_free - free an allocated SSL_CTX object

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/ssl.h>
void SSL_CTX_free(SSL_CTX *ctx);

# DESCRIPTION

SSL_CTX_free() decrements the reference count of ctx, and removes the SSL_CTX object pointed to by ctx and frees up the allocated memory if the the reference count has reached 0.

It also calls the free()ing procedures for indirectly affected items, if applicable: the session cache, the list of ciphers, the list of Client CAs, the certificates and keys.

# WARNINGS

If a session-remove callback is set ( SSL_CTX_sess_set_remove_cb()), this callback will be called for each session being freed from ctx's session cache. This implies, that all corresponding sessions from an external session cache are removed as well. If this is not desired, the user should explicitly unset the callback by calling SSL_CTX_sess_set_remove_cb( ctx, NULL) prior to calling SSL_CTX_free().

# RETURN VALUES

SSL_CTX_free() does not provide diagnostic information.

# SEE ALSO

SSL_CTX_new(3), ssl(3), SSL_CTX_sess_set_get_cb(3)

2009-07-19 | 1.0.1u